# Lockheed 1049H Constellation
#
# Initialization routines
#	fire up the fuel system
#	set up autopilot
#	set up menu dialogs
#
# Gary Neely aka 'Buckaroo'
# from original 1049G work


LockheedMain = {};

LockheedMain.new = func {
  obj = { parents : [LockheedMain]
        };
  obj.init();
  return obj;
}


LockheedMain.sec2cron = func {
  autopilotsystem.schedule();
  settimer(func{ me.sec2cron(); },autopilotsystem.AUTOPILOTSEC);
}

								# Determines values carried between sessions
LockheedMain.savedata = func {
  aircraft.data.add("/sim/presets/fuel");			# User's default fuel load selection
  #aircraft.data.add("/sim/current-view/z-offset-m");		# User's pilot seat view selections
  #aircraft.data.add("/sim/current-view/y-offset-m");
  #aircraft.data.add("/sim/current-view/pitch-offset-deg");
}


# global variables in Lockheed1049h namespace, for call by XML
LockheedMain.instantiate = func {
   globals.Lockheed1049h.autopilotsystem = Autopilot.new();
   globals.Lockheed1049h.menusystem = Menu.new();
}

LockheedMain.init = func {
   me.instantiate();
   settimer(func { me.sec2cron(); },0);
   me.savedata();  # saved on exit, restored at launch
}


L1049hL = setlistener("/sim/signals/fdm-initialized", func {
  theconstellation = LockheedMain.new();
  removelistener(L1049hL);
  }
);
